<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .container {
        margin: auto;
        width: 50%;
        border: 3px solid green;
        padding: 10px;
        text-align: center;
      }
      button {
        background-color: #0e0af3;
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h2>Binary conversion</h2>
      <br />
      <p>Enter the number to be convert :</p>
      <input type="text" name="input" id="input" />
      <br /><br />
      <button onclick="myfunc()">Check</button>
      <br /><br />
      <p id="output"></p>
    </div>
    <script>
      function myfunc() {
        const input = parseInt(document.getElementById("input").value);
        const result = input.toString(2);
        document.getElementById("output").innerHTML = result;
      }
    </script>
  </body>
</html>
